# $Revision: 1.31 $, $Date: 2009/09/23 11:31:50 $
# Conditional build:
%bcond_without	graphviz	# do not require graphviz in doc regeneration

Summary:	X protocol C-language Binding library
Summary(pl.UTF-8):	XCB - biblioteka dowiązań języka C do protokołu X
Name:		libxcb
Version:	1.4
Release:	2
License:	MIT
Group:		Libraries
Source0:	http://xcb.freedesktop.org/dist/%{name}-%{version}.tar.bz2
# Source0-md5:	b00fd506c717dea01f595e8da31f6914
URL:		http://xcb.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	check >= 0.9.4
BuildRequires:	doxygen
%if %{with graphviz}
BuildRequires:	graphviz
%endif
BuildRequires:	libtool
BuildRequires:	libpthread-stubs-devel >= 0.2
BuildRequires:	libxslt-progs
BuildRequires:	pkgconfig
BuildRequires:	xcb-proto >= 1.5
BuildRequires:	xorg-lib-libXau-devel >= 0.99.2
BuildRequires:	xorg-lib-libXdmcp-devel
BuildRequires:	xorg-proto-xproto-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X protocol C-language Binding library.

libxcb provides an interface to the X Window System protocol, slated to
replace the current Xlib interface. It has several advantages over
Xlib, including:
- size: small library and lower memory footprint
- latency hiding: batch several requests and wait for the replies later
- direct protocol access: one-to-one mapping between interface and protocol
- proven thread support: transparently access XCB from multiple threads
- easy extension implementation: interfaces auto-generated from XML-XCB

Xlib can also use XCB as a transport layer, allowing software to make
requests and receive responses with both, which eases porting to XCB.
However, client programs, libraries, and toolkits will gain the most
benefit from a native XCB port.

%description -l pl.UTF-8
XCB - biblioteka dowiązań języka C do protokołu X.

libxcb udostępnia interfejs do protokołu X Window System, mający
zastąpić aktualny interfejs Xlib. Ma kilka zalet w stosunku do Xliba,
w tym:
- rozmiar: mała biblioteka i niewielki narzut pamięciowy
- ukrywanie opóźnień: kolejkowanie kilku żądań i oczekiwanie na
  odpowiedź później
- bezpośredni dostęp do protokołu: odwzorowanie 1-1 między interfejsem
  a protokołem
- sprawdzoną obsługę wątków: bezpośredni dostęp do XCB z wielu wątków
- łatwe implementowanie rozszerzeń: automatyczne generowanie
  interfejsów z XML-XCB

Xlib może także używać XCB jako warstwy transportowej, pozwalając
programom wykonywać żądania i odbierać odpowiedzi poprzez oba
interfejsy, co ułatwia przechodzenie na XCB. Jednak programy
klienckie, biblioteki i toolkity zyskają więcej na natywnym porcie
XCB.

%package devel
Summary:	Header files for XCB library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki XCB
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libpthread-stubs
Requires:	xorg-lib-libXau-devel
Requires:	xorg-lib-libXdmcp-devel
Requires:	xorg-proto-xproto-devel

%description devel
Header files for XCB library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki XCB.

%package static
Summary:	Static XCB library
Summary(pl.UTF-8):	Statyczna biblioteka XCB
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static XCB library.

%description static -l pl.UTF-8
Statyczna biblioteka XCB.

%prep
%setup -q
%if %{without graphviz}
%{__sed} -i -e 's/HAVE_DOT               = YES/HAVE_DOT               = NO/g' doc/xcb.doxygen.in
%endif

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{_docdir}/libxcb

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING NEWS README
%attr(755,root,root) %{_libdir}/libxcb*.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxcb.so.1
%attr(755,root,root) %ghost %{_libdir}/libxcb-*.so.0

%files devel
%defattr(644,root,root,755)
%doc doc/{manual,tutorial}
%attr(755,root,root) %{_libdir}/libxcb*.so
%{_libdir}/libxcb*.la
%{_includedir}/xcb
%{_pkgconfigdir}/xcb*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libxcb*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libxcb.spec,v $
Revision 1.31  2009/09/23 11:31:50  arekm
- rel 2; depend on new libpthread-stubs

Revision 1.30  2009/07/16 04:44:50  arekm
- up to 1.4

Revision 1.29  2009/07/08 13:29:51  tommat
- introduce without graphviz bcond

Revision 1.28  2009/05/29 07:14:07  arekm
- up to 1.3

Revision 1.27  2009/02/17 14:34:19  arekm
- up to 1.2

Revision 1.26  2009/01/01 14:01:00  arvenil
- BR: graphviz

Revision 1.25  2008/12/11 10:36:56  arekm
- up to 1.1.93

Revision 1.24  2008/11/05 22:41:06  arekm
- up to 1.1.92

Revision 1.23  2008/07/18 07:45:34  arekm
- 1.1.90.1; author did versioning mistake and solved it in most ugly way that's possible

Revision 1.22  2008/07/18 05:32:49  arekm
- up to 1.1.91

Revision 1.21  2008-04-04 09:00:28  arekm
- rel 2; sloppy lock back by default

Revision 1.20  2008-01-11 01:37:59  zbyniu
- ghost lib symlinks

Revision 1.19  2007-11-05 18:00:51  qboosh
- libXau version

Revision 1.18  2007/11/05 07:34:38  arekm
- up to 1.1 (drop hack for assert; now only debug version has asserts + java should be already fixed)

Revision 1.17  2007/04/15 22:19:26  qboosh
- updated BR versions

Revision 1.16  2007/04/15 22:08:10  tommat
- autoize

Revision 1.15  2007/02/15 20:47:58  arekm
- mention why the patch is needed

Revision 1.14  2007/02/12 22:09:10  glen
- tabs in preamble

Revision 1.13  2007/02/12 01:06:41  baggins
- converted to UTF-8

Revision 1.12  2006/11/28 18:12:50  arekm
- rel 4; fix assert in some cases (workaround)

Revision 1.11  2006/11/26 12:42:45  pluto
- -devel R: xau pthread-stubs xdmcp, release 3.

Revision 1.10  2006/11/25 12:24:21  adamg
- BuildRequires: doxygen

Revision 1.9  2006/11/24 23:53:26  arekm
- rel 2

Revision 1.8  2006/11/24 17:32:34  qboosh
- typo

Revision 1.7  2006/11/24 16:55:25  qboosh
- package devel docs

Revision 1.6  2006/11/24 10:59:38  arekm
- up to 1.0

Revision 1.5  2006/11/20 15:18:13  qboosh
- no fix for libxslt breakage currently known, so don't regenerate *.[ch]
  from XML for now

Revision 1.4  2006/11/03 09:19:18  qboosh
- updated to 0.9.93 (1.0 RC3)
- longer descriptions

Revision 1.3  2006/10/09 06:18:31  qboosh
- updated to 0.9.92

Revision 1.2  2006/09/27 13:45:38  qboosh
- updated to 0.9.91

Revision 1.1  2006/05/11 09:00:40  qboosh
- new
